create table folder (pk_folder bigint not null auto_increment, last_sync_time bigint, name varchar(255) not null unique, shared bit, type integer not null, primary key (pk_folder)) type=InnoDB;
create table folder_visibility (pk_folder_visibility bigint not null auto_increment, change_date bigint not null, visible bit not null, fk_folder bigint not null, fk_user bigint not null, primary key (pk_folder_visibility), unique (fk_folder, fk_user, change_date)) type=InnoDB;
create table item (pk_item bigint not null auto_increment, change_date bigint not null, change_device_id varchar(255), change_user_id varchar(255), create_device_id varchar(255), create_user_id varchar(255), creation_date bigint not null, deleted bit not null, incidence_first_date bigint, incidence_last_date bigint, kolab_id varchar(255), mail_id bigint not null, valid bit not null, fk_folder bigint, primary key (pk_item), unique (fk_folder, kolab_id), unique (fk_folder, mail_id)) type=InnoDB;
create table user (pk_user bigint not null auto_increment, name varchar(255) not null unique, primary key (pk_user)) type=InnoDB;
alter table folder_visibility add index FK50832B839ACEC138 (fk_folder), add constraint FK50832B839ACEC138 foreign key (fk_folder) references folder (pk_folder);
alter table folder_visibility add index FK50832B83EA80437F (fk_user), add constraint FK50832B83EA80437F foreign key (fk_user) references user (pk_user);
alter table item add index FK317B139ACEC138 (fk_folder), add constraint FK317B139ACEC138 foreign key (fk_folder) references folder (pk_folder);
